Skip to main content
GET
/
google-oauth-accounts
/
locations
/
search
Search for Google locations
curl --request GET \
  --url https://api.partoo.co/v2/google-oauth-accounts/locations/search \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/google-oauth-accounts/locations/search"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/google-oauth-accounts/locations/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "locations": [
    {
      "id": "6047dac0604f33da03018004",
      "location_name": "Annie - HQ",
      "store_code": "annie-hq",
      "region_code": "FR",
      "postal_code": "75018",
      "address_details": "130 rue mont cenis",
      "locality": "Paris",
      "place_id": "ChIJ3Qu-HpFt5kcRNHUedqwIzQY",
      "google_verifications": {
        "status": "verified",
        "checked_at": "2023-01-30T14:25:11.163950Z"
      },
      "phone_numbers": "0675181818"
    }
  ],
  "page": 1,
  "max_page": 10,
  "count": 287
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Query Parameters

google_location_id
string

The ID of the Google location stored in Partoo.

oauth_account_id
string

The ID of the OAuth account stored in Partoo.

not_connected_only
boolean

Filter for locations not connected to any business.

verification_status
string

Filter by verification status.

page
integer
default:1

The page number for pagination.

Response

OK

Paginated Google Locations

locations
object[]
page
integer

Current page number

Example:

1

max_page
integer

Last page number

Example:

10

count
integer

Number of resources complying with filters

Example:

287